net.dontdrinkandroot.persistence.entity

## Interface Entity<K>

Type Parameters:
  `K` - Type of the primary key.

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractEntity, AbstractGeneratedIdEntity, AbstractIdEntity, GeneratedLongIdEntity, LongIdEntity

    public interface Entity<K>
    extends Serializable

Represents an entity with a primary key. The methods getId() must be implemented, even if the primary key has a different field name, also make sure that the primary key implements equals/hashcode correctly.

Author:
  Philip W. Sorst <philip@sorst.net>

### Method Summary

Methods
`K` `getId()` Get the primary key of the entity.

### Method Detail

#### getId

    K getId()

Get the primary key of the entity.